petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPGetSolution

Gets the location of the solution for the linear system to be solved. Note that this may not be where the solution is stored during the iterative process; see KSPBuildSolution().

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetSolution(KSP ksp,Vec *v)

Not Collective

### Input Parameters

ksp -iterative context obtained from KSPCreate()

### Output Parameters

v -solution vector

### See Also

KSPGetRhs(), KSPBuildSolution(), KSPSolve(), KSP

### Level

developer

### Location

src/ksp/ksp/interface/itfunc.c

### Examples

src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/ksp/ksp/examples/tutorials/ex45.c.html
src/ksp/ksp/examples/tutorials/ex22f.F90.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages